Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_ESF_RefCount_Guard< T > Class Template Reference

Reference count based guard. More...

`#include <ESF_RefCount_Guard.h>`

Collaboration diagram for TAO_ESF_RefCount_Guard< T >:

[legend]
List of all members.

## Public Methods
| TAO_ESF_RefCount_Guard (T &refcount)
| Constructor.
| ~TAO_ESF_RefCount_Guard (void)
| Destructor.
## Protected Attributes
T & | refcount_
| The reference count.

## Detailed Description

### template<class T>
class TAO_ESF_RefCount_Guard< T >

Reference count based guard.

A common idiom used on event services is to increment a reference count before starting a long running operation. The system can then execute the operation without any risk of having the underlying object destroyed. The advantage of using a reference count is that no mutex or lock needs to be held while the operation is beign executed.

## Constructor & Destructor Documentation

template<class T>
ACE_INLINE TAO_ESF_RefCount_Guard< T >::TAO_ESF_RefCount_Guard | ( | T & | refcount | ) |

| Constructor.

template<class T>
ACE_INLINE TAO_ESF_RefCount_Guard< T >::~TAO_ESF_RefCount_Guard | ( | void |  | ) |

| Destructor.

## Member Data Documentation

template<class T>
T& TAO_ESF_RefCount_Guard< T >::refcount_`[protected]`

| The reference count.

The documentation for this class was generated from the following files:

- ESF_RefCount_Guard.h
- ESF_RefCount_Guard.i